Subject: Re: e-tendering enabler digital certificate

From: [email-masked]
Date: Fri, 10 Jan 2003 08:41:45 +0000

> My idea ... is to rely on digital certificate with particular
> attributes.

I am against building application information into Certificates.
They are merely a trust mechanism. Every time you add to the
content you make it harder to achieve interoperability. Push the
application specific logic back into the application.

Chris

---

From: Richard Levitte - VMS Whacker <[email-masked]>
Date: Fri, 10 Jan 2003 12:03:36 +0100 (CET)

In message <[email-masked]> on Fri, 10 Jan 2003 08:41:45 +0000, [email-masked] said:

chris.gilbert> > My idea ... is to rely on digital certificate with particular
chris.gilbert> > attributes.
chris.gilbert> 
chris.gilbert> I am against building application information into Certificates.
chris.gilbert> They are merely a trust mechanism. Every time you add to the
chris.gilbert> content you make it harder to achieve interoperability. Push the
chris.gilbert> application specific logic back into the application.

Hmm, attribute certificates come to mind.  Is there any reason (apart
from lack of implementation, I'm want to hear theories, not that it
currently can't be achieved in practice) not to use them?

-- 
Richard Levitte     | http://richard.levitte.org/ | Spannv. 38, I
Levitte Programming | http://www.lp.se/           | S-168 35 Bromma
T: +46-708-26 53 44 |                             | SWEDEN
     "Price, performance, quality...  choose the two you like"